# MatPermute

Creates a new matrix with rows and columns permuted from the original.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatPermute(Mat mat,IS row,IS col,Mat *B)

Collective on Mat

### Input Parameters

| mat | - the matrix to permute
| row | - row permutation, each processor supplies only the permutation for its rows
| col | - column permutation, each processor needs the entire column permutation, that is this is the same size as the total number of columns in the matrix

### Output Parameters

B -the permuted matrix

### C++ variants

| Mat MatPermute(Mat A,IS is1,IS is2) |  | -> |  | MatPermute(A,is1,is2,&t); return t;

### See Also

MatGetOrdering()

Level:advanced
Location: src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages